package com.ruoyi.framework.recovery.mapper;

import java.util.List;
import com.ruoyi.framework.recovery.domain.WxUserLottery;
import org.apache.ibatis.annotations.Param;

/**
 * 微信中奖记录Mapper接口
 * 
 * @author jin
 * @date 2024-12-17
 */
public interface WxUserLotteryMapper 
{
    /**
     * 查询微信中奖记录
     * 
     * @param id 微信中奖记录主键
     * @return 微信中奖记录
     */
    public WxUserLottery selectWxUserLotteryById(Long id);

    /**
     * 查询微信中奖记录列表
     * 
     * @param wxUserLottery 微信中奖记录
     * @return 微信中奖记录集合
     */
    public List<WxUserLottery> selectWxUserLotteryList(WxUserLottery wxUserLottery);

    /**
     * 新增微信中奖记录
     * 
     * @param wxUserLottery 微信中奖记录
     * @return 结果
     */
    public int insertWxUserLottery(WxUserLottery wxUserLottery);

    /**
     * 修改微信中奖记录
     * 
     * @param wxUserLottery 微信中奖记录
     * @return 结果
     */
    public int updateWxUserLottery(WxUserLottery wxUserLottery);

    /**
     * 删除微信中奖记录
     * 
     * @param id 微信中奖记录主键
     * @return 结果
     */
    public int deleteWxUserLotteryById(Long id);

    /**
     * 批量删除微信中奖记录
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWxUserLotteryByIds(Long[] ids);

    /**
     * 根据微信openid查询奖品内容
     *
     * @param openId 入参
     * @return 结果集
     */
    List<WxUserLottery> selectWxUserLotteryListByOpenId(String openId);

    /**
     * 根据奖品id查询所有获奖记录
     *
     * @param id 奖品id
     * @return 获奖记录
     */
    List<Long> selectLotteryCodesByLotteryId(@Param("id") Long id);
}
